.flickity-enabled {
  position: relative;
}

.flickity-enabled:focus {
  outline: none;
}

.flickity-viewport {
  overflow: hidden;
  position: relative;
  height: 100%;
  width: 100%;
  transition: height .2s;
}

.flickity-slider {
  position: absolute;
  width: 100%;
  height: 100%;
}

.flickity-enabled.is-draggable {
  user-select: none;
}

.flickity-enabled.is-draggable .flickity-viewport {
  cursor: grab;
}

.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
  cursor: grabbing;
}

.flickity-prev-next-button {
  position: absolute;
  top: 50%;
  width: 44px;
  height: 44px;
  border: 0;
  background: none;
  cursor: pointer;

  transform: translateY(-50%);
}

.flickity-prev-next-button:hover {
  background: transparent;
}

.flickity-prev-next-button:focus {
  outline: none;
}

.flickity-prev-next-button:active {
  opacity: .6;
}

.flickity-prev-next-button.previous {
  left: 0;
}

.flickity-prev-next-button.next {
  right: 0;
}

.flickity-rtl .flickity-prev-next-button.previous {
  left: auto;
  right: 0;
}

.flickity-rtl .flickity-prev-next-button.next {
  right: auto;
  left: 0;
}

.flickity-prev-next-button:disabled {
  opacity: .2;
  cursor: auto;
}

.flickity-prev-next-button svg {
  position: absolute;
  left: 0;
  top: 0;
  width: 60%;
  height: 60%;
}

.flickity-prev-next-button .arrow {
  fill: $grey50;
}

.flickity-page-dots {
  position: absolute;
  width: 100%;
  bottom: -2rem;
  left: 0;
  right: 0;
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: center;
  line-height: 1;
}

.flickity-rtl .flickity-page-dots {
  direction: rtl;
}

.flickity-page-dots .dot {
  display: inline-block;
  width: .6rem;
  height: .6rem;
  padding: 0;
  margin: 0 .3rem;
  background: $grey25;
  border-radius: 50%;
  cursor: pointer;

  &::before {
    display: none;
  }
}

.flickity-page-dots .dot.is-selected {
  background: $grey75;
}

.carousel-cell {
  width: 18%;
  height: 200px;
  margin-right: 1rem;
  counter-increment: carousel-cell;
}

.carousel-cell::before {
  display: block;
  color: $white;
}

.flickity-slider .project::before,
.carousel-cell::before {
  display: block;
  text-align: center;
  line-height: 200px;
  font-size: 80px;
  color: $white;
}

.carousel-cell-height2 {
  height: 300px;
}

.carousel-cell-height3 {
  height: 400px;
}

.carousel-adaptive-height {
  .flickity-viewport {
    border-bottom: 5px solid $grey50;
    min-height: 300px;
  }

  @media #{$gl-xs} {
    .flickity-prev-next-button {
      display: none;
    }
  }

  .flickity-slider .project,
  .carousel-cell {
    padding: 0;
    width: 22%;
    height: auto;
    bottom: 0;

    .tile {
      min-width: 0;

      .icon-container {
        padding: 0;
      }
    }

    img {
      margin: auto;
      display: block;
    }
    @media #{$gl-md} {
      width: 40%;
    }
    @media #{$gl-xs} {
      width: 70%;

      .tile {
        max-width: 300px;
      }
    }
  }

  .flickity-page-dots {
    display: none;
  }
}

.carousel-umbrella,
.method-and-tools-carousel .umbrella-list {
  padding: 0 7.3298429319%;

  @media #{$gl-md} {
    padding: 0;
  }

  @media #{$gl-xs} {
    height: 410px;
  }

  .flickity-viewport {
    overflow: hidden;
    padding: 0 ($gl-gutter / 2) $gl-col-bottom;
  }

  .previous {
    left: 0;
  }

  .arrow {
    fill: $grey50;
  }

  .next {
    right: 0;
  }

  &.grid-center {
    margin: 0;
  }

  .flickity-slider .project {
    display: block;
    margin: 0 .5rem;
    padding: 0;
    height: auto;
    width: 48.4662576687%;
    opacity: 1;

    @media #{$gl-xs} {
      width: 70%;
    }

    .tile {
      padding-bottom: 8px;
    }

    .h3 {
      margin-top: 2.6rem;

      @media #{$gl-xs} {
        margin-top: .5rem;
      }
    }

    img {
      width: 100%;
    }
  }

  .flickity-prev-next-button {
    top: 30%;
    @media #{$gl-sm} {
      top: 23%;
    }

    @media #{$gl-md} {
      display: none;
    }
  }

  .col:not(.col-0).umbrella-content  {
    visibility: hidden;
  }

  .is-selected {
    .col:not(.col-0).umbrella-content {
      visibility: visible;
    }
  }
}

.carousel.content-lists-video {

  .flickity-viewport {
    min-height: 350px;
  }

  .carousel-cell {
    width: 49.5%;
    margin: 0 (3.0674846626% / 1.32);
  }

  .flickity-slider {
    width: 97.5%;
  }

  .flickity-prev-next-button {
    top: 27%;
  }

  .flickity-page-dots {
    display: none;
  }

  @media #{$gl-md} {

    margin-bottom: $gutter-xl;

    .flickity-prev-next-button {
      top: 27%;
    }

    .flickity-page-dots {
      display: block;
      bottom: -$gutter-xl;
    }

    .carousel-cell {
      margin: 0 (3.0674846626% / 1.26);
    }
  }

  @media #{$gl-xs} {
    min-height: 370px;

    .carousel-cell {
      width: 100%;
      margin: 0;
    }

    .flickity-slider {
      width: 100%;
    }

    .flickity-page-dots {
      bottom: 0;
    }
  }
}

.items-gallery {

  .carousel-cell {
    opacity: 0;

    &.is-selected {
      opacity: 1;
    }
  }

  &.book-shelf {
    border-bottom: 5px solid $grey50;
    margin-bottom: 1rem;

    .shelf-inner {
      padding-bottom: 0;
    }

    .flickity-viewport {
      border: 0;
    }

    .flickity-page-dots {
      display: block;
      bottom: -3rem;

      @media #{$gl-sm-plus} {
        display: none;
      }
    }
  }
}

.block-umbrella-carousel {
  > .grid-center {
    margin: 0;
  }
}

.lightbox-carousel-one-item {
  .flickity-prev-next-button:disabled {
    display: none;
  }
}
